bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: declare -A a=b crashes bash


From: Chet Ramey
Subject: Re: declare -A a=b crashes bash
Date: Fri, 09 Apr 2010 17:00:13 -0400
User-agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.7) Gecko/20100111 Lightning/1.0b1 Thunderbird/3.0.1

On 4/9/10 2:29 PM, Dennis van Dok wrote:
> Andreas Schwab schreef:
>> Andreas Schwab <address@hidden> writes:
>>
>>> $ declare -A a=b; unset a
>>> *** glibc detected *** /bin/bash: free(): invalid pointer: 0x10091644 ***
>>
>> And the obvious patch:
> 
> Thanks!
> 
> So...this affects Ubuntu 9.10
> 
> https://bugs.launchpad.net/ubuntu/+source/bash/+bug/516974
> 
> Is the 4.0 branch still supported and is this going to be patched? Or
> should Ubuntu patch this as a vendor patch?

I generally do not release patches for previous versions.  It would
probably be quicker for Ubuntu to supply a vendor-provided patch.

Chet

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
                 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    address@hidden    http://cnswww.cns.cwru.edu/~chet/




reply via email to

[Prev in Thread] Current Thread [Next in Thread]